part of 'soliq_id_bloc.dart';

abstract class SoliqIdEvent extends Equatable {
  const SoliqIdEvent();
}

class SoliqIdAccountInfoEvent extends SoliqIdEvent {
  final int pinfl;
  final int projectId;
  final String lang;

 const SoliqIdAccountInfoEvent({
    required this.pinfl,
    required this.projectId,
    required this.lang
  });

  @override
  List<Object?> get props => [
        pinfl,
        projectId,
    lang
      ];
}

class SoliqIdCreateSessionEvent extends SoliqIdEvent {
  final int pinfl;
  final String deviceId;
  final int projectId;
  final String deviceName;
  final String factoryName;
  final String osVersion;
  final String appVersion;
  final int osType;
  final String firebaseId;
  final String lang;
  final String fio;

 const SoliqIdCreateSessionEvent({
   required this.fio,
    required this.pinfl,
    required this.deviceId,
    required this.projectId,
    required this.deviceName,
    required this.factoryName,
    required this.osVersion,
    required this.appVersion,
    required this.osType,
    required this.firebaseId,
    required this.lang,
  });

  @override
  List<Object?> get props => [
    pinfl,
    deviceId,
    deviceName,
    projectId,
    factoryName,
    osVersion,
    appVersion,
    osType,
    firebaseId,
    fio,
    lang
  ];
}

class SoliqIdProcessEvent extends SoliqIdEvent {
  final String deviceId;
  final String processId;
  final int id;
  final int asked;
  final String date;

  SoliqIdProcessEvent({
    required this.deviceId,
    required this.processId,
    required this.id,
    required this.asked,
    required this.date,
  });

  @override
  List<Object?> get props => [];
}

class SoliqIdCompareFaceEvent extends SoliqIdEvent {
  final String deviceId;
  final String processId;
  final int id;
  final int asked;
  final String date;

  const SoliqIdCompareFaceEvent({
    required this.deviceId,
    required this.processId,
    required this.id,
    required this.asked,
    required this.date,
  });

  @override
  List<Object?> get props => [];
}
