

import 'package:json_annotation/json_annotation.dart';

part 'account_info_request.g.dart';

@JsonSerializable()
class AccountInfoRequest {
  final Device device;
  final int pinfl;

  factory AccountInfoRequest.fromJson(Map<String, dynamic> json) =>
      _$AccountInfoRequestFromJson(json);

  AccountInfoRequest({
    required this.device,
    required this.pinfl,
  });

  Map<String, dynamic> toJson() => _$AccountInfoRequestToJson(this);
}

@JsonSerializable()
class Device {
  final String deviceId;
  final int projectId;
  final String deviceName;
  final String factoryName;
  final String osVersion;
  final String appVersion;
  final int osType;
  final String firebaseId;

  factory Device.fromJson(Map<String, dynamic> json) =>
      _$DeviceFromJson(json);

  Device( {
    required this.projectId, required this.firebaseId,
    required this.deviceId,
    required this.deviceName,
    required this.factoryName,
    required this.osVersion,
    required this.appVersion,
    required this.osType,
  });

  Map<String, dynamic> toJson() => _$DeviceToJson(this);
}
