import 'package:json_annotation/json_annotation.dart';

part 'account_info_response.g.dart';

@JsonSerializable()
class AccountInfoResponse {
  final bool success;
  final int code;
  final String message;
  final Data data;

  factory AccountInfoResponse.fromJson(Map<String, dynamic> json) =>
      _$AccountInfoResponseFromJson(json);

  AccountInfoResponse({
    required this.success,
    required this.code,
    required this.message,
    required this.data,
  });

  Map<String, dynamic> toJson() => _$AccountInfoResponseToJson(this);
}

@JsonSerializable()
class Data {
  final int pinfl;
  final String fio;

  factory Data.fromJson(Map<String, dynamic> json) => _$DataFromJson(json);

  Data({
    required this.pinfl,
    required this.fio,
  });

  Map<String, dynamic> toJson() => _$DataToJson(this);
}
