import 'package:shared_preferences/shared_preferences.dart';

class Preference {
  SharedPreferences? prefs;

  Future<Preference> init() async {
    if (!isInit) {
      prefs = await SharedPreferences.getInstance();
    }
    return this;
  }

  bool get isInit {
    return prefs != null;
  }

  Future setRefreshToken(String? token) async {
    if (token == null) {
      return prefs?.remove('refresh_token');
    }
    return await prefs?.setString('refresh_token', token);
  }

  String? get refreshToken => prefs?.getString('refresh_token');

  Future setSessionId(String? token) async {
    if (token == null) {
      return prefs?.remove('session-id');
    }
    return await prefs?.setString('session-id', token);
  }

  Future setGUID(String? token) async {
    if (token == null) {
      return prefs?.remove('guid');
    }
    return await prefs?.setString('guid', token);
  }

  String get sessionId => prefs?.getString('session-id') ?? "";

  Future setAccessToken(String? token) async {
    if (token == null) {
      return await prefs?.remove('access_token');
    }

    return await prefs?.setString('access_token', token);
  }

  Future removeGUID() async => await prefs?.remove('guid');

  String? get accessToken => prefs?.getString('access_token');
}
