library soliq_id;

import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:soliq_id/data/bloc/soliq_id_bloc.dart';
import 'package:soliq_id/data/preference.dart';
import 'package:soliq_id/utils/localizations_util.dart';
import 'package:soliq_id/views/face_id_signin.dart';

export 'views/face_id_signin.dart';

class SoliqId extends StatefulWidget {
  const SoliqId({
    Key? key,
    required this.pinfl,
    required this.localizationType,
    required this.guid,
  }) : super(key: key);
  final pinfl;
  final LocalizationType localizationType;
  final String guid;

  @override
  State<SoliqId> createState() => _SoliqIdState();
}

class _SoliqIdState extends State<SoliqId> {
  // todo - add preference to singleton
  Preference preference = Preference();




  @override
  void initState() async {
    super.initState();

    final locale = getLocalizationType(
      widget.localizationType,
    );
    getGuid();
    BlocProvider.of<SoliqIdBloc>(context).add(SoliqIdAccountInfoEvent(pinfl: widget.pinfl, projectId: 100, lang: locale));
    // todo - request user info from API server
  }

  @override
  Widget build(BuildContext context) {
    final locale = getLocalizationType(
      widget.localizationType,
    );
    return FaceIdSignIn(
      pinfl: widget.pinfl,
      fullName: "",
    );
  }
  Future <void> getGuid ()async {
      await preference.setGUID(widget.guid);
      await Future.delayed(const Duration(seconds: 2));
  }

  @override
  void dispose() async {
    await preference.removeGUID();
    super.dispose();
  }
}
